The green tick is positioned after the label in the new member modals 

2018-01-26 00:50 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.4.5   

Resolution: Fixed Affected version:  

Description

This is a patch extracted from #27807 in order to fix it earlier (in a minor version)

The green tick is positioned after the label in the new member modals from:

- admin (Users -> Edit user -> Projects -> Add Project)

- project setting (Project setting -> Membership -> New members)

I've attached:

- two screenshots with the issue

- a patch that fixes these issues.

Related issues:

Related to Redmine - Patch #27807: Use a unique way to check/uncheck a group/... Closed

Associated revisions

Revision 17207 - 2018-02-22 01:02 - Go MAEDA

Fix: The green tick is positioned after the label in the new member modals (#28079).

Patch by Marius BALTEANU.

Revision 17208 - 2018-02-22 01:05 - Go MAEDA

Merged r17207 from trunk to 3.4-stable (#28079).

Revision 17209 - 2018-02-23 09:20 - Go MAEDA

Remove useless empty spaces (#28079).

Patch by Marius BALTEANU.

Revision 17210 - 2018-02-23 09:23 - Go MAEDA

Merged r17209 from trunk to 3.4-stable (#28079).

History

#1 - 2018-01-26 00:50 - Marius BĂLTEANU

- Related to Patch #27807: Use a unique way to check/uncheck a group/fieldset with checkboxes  added

#2 - 2018-01-30 04:59 - Mischa The Evil

- Description updated

- Target version set to Unplanned backlogs

LGTM.

#3 - 2018-02-18 13:13 - Marius BĂLTEANU

Go Maeda, lets fix these UI issues in the next minor version.

#4 - 2018-02-18 14:14 - Go MAEDA

- Target version changed from Unplanned backlogs to 3.4.5
This patch fixes UI inconsistency. In other pages, the green tick is placed before the label.

Setting target version to 3.4.5.

#5 - 2018-02-22 01:06 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Committed. Thank you for improving Redmine.

#6 - 2018-02-22 21:26 - Marius BĂLTEANU

- File remove_useless_empty_space.patch added

- File screenshoot.png added

- Status changed from Closed to Reopened

Thanks for fixing these issues.

I'm attaching a small fix for my previous patches in order to remove the useless empty space before the label.

It has no impact in the frontend, but it shouldn't be there.

 screenshoot.png 

#7 - 2018-02-23 09:26 - Go MAEDA

- Status changed from Reopened to Closed

Committed the patch #28079#note-6. Thank you.

#8 - 2018-02-23 09:32 - Marius BĂLTEANU

Go MAEDA wrote:

Committed the patch #28079#note-6. Thank you.

 Great, thanks!

#9 - 2018-04-09 01:33 - Go MAEDA

- Assignee set to Go MAEDA

Files

project_settings_membership.png 214 KB 2018-01-25 Marius BĂLTEANU

admin_membership.png 127 KB 2018-01-25 Marius BĂLTEANU

fix_tick_position_in_membership_modals.patch 2.68 KB 2018-01-25 Marius BĂLTEANU

remove_useless_empty_space.patch 1.32 KB 2018-02-22 Marius BĂLTEANU

screenshoot.png 99.2 KB 2018-02-22 Marius BĂLTEANU
